/**
* 文件：MateriaBomForm.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/
package com.mortals.xhx.module.materia.web;


import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.materia.model.MateriaBomEntity;
import com.mortals.xhx.module.materia.model.MateriaBomQuery;

/**
 * <p>Title: BOM单表</p>
 * <p>Description: MateriaBomForm  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class MateriaBomForm extends BaseCRUDFormLong<MateriaBomEntity> {
	private MateriaBomEntity materiaBom = new MateriaBomEntity();
	private MateriaBomQuery query = new MateriaBomQuery();
	public MateriaBomForm(){
		
	}
	
    @Override
	public MateriaBomEntity getEntity() {
		return materiaBom;
	}
	public MateriaBomEntity getMateriaBom() {
		return materiaBom;
	}

	public void setMateriaBom(MateriaBomEntity materiaBom) {
		this.materiaBom = materiaBom;
	}
	
	@Override
	public MateriaBomQuery getQuery() {
		return query;
	}

	public void setQuery(MateriaBomQuery query) {
		this.query = query;
	}
}